VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
END
Attribute VB_Name = "Catalog"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Attribute VB_Ext_KEY = "SavedWithClassBuilder" ,"Yes"
Attribute VB_Ext_KEY = "Top_Level" ,"Yes"
Option Explicit

Private conn As ADODB.Connection
Private mvarProductCategories As Collection 'local copy
Public Function getReorderLevel(SKU As String) As Long
    Dim rs As New ADODB.Recordset
    Dim query As String
    
    If SKU = "" Then SKU = "0" ' prevent errors from blank fields
    
    query = "select * from products where sku = " + SKU
    Set rs = conn.Execute(query)
    
    If rs.EOF = False Then ' does exist
        getReorderLevel = rs.Fields("reorder_level")
    End If
End Function

Public Function getProduct(SKU As String) As Product
    Dim rs As New ADODB.Recordset
    Dim query As String
    Dim prod As New Product
    
    If Val(SKU) = 0 Or SKU = "" Then SKU = "0" ' prevent errors from blank fields
    
    query = "select * from products where sku = " + SKU
    Set rs = conn.Execute(query)
    
    If rs.EOF = False Then ' does exist
        Set prod = New Product
        prod.Description = rs("composition")
        prod.Price = rs("price")
        prod.OnHand = rs("onhand")
        prod.Reorder_Level = rs("reorder_level")
        prod.SKU = SKU
    End If
    Set getProduct = prod
    
End Function
Public Sub setProduct(sourceProduct As Product)
    Dim rs As New ADODB.Recordset
    Dim query As String
    
    'zzz do not hit database
    Exit Sub
    
    query = "select * from products where sku = " + sourceProduct.SKU
    
    Set rs = CreateObject("adodb.recordset")
    rs.Open query, conn, adOpenDynamic, adLockOptimistic
    
    If rs.EOF = False Then ' does exist
        rs("composition") = sourceProduct.Description
        rs("price") = sourceProduct.Price
        rs("onhand") = sourceProduct.OnHand
        rs("reorder_level") = sourceProduct.Reorder_Level
    End If
    rs.update
End Sub
Public Property Set ProductCategories(ByVal vData As Object)
'used when assigning an Object to the property, on the left side of a Set statement.
'Syntax: Set x.ProductCategories = Form1
    Set mvarProductCategories = vData
End Property


Public Property Get ProductCategories() As Collection
'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.ProductCategories
    Set ProductCategories = mvarProductCategories
End Property

Private Sub Class_Initialize()
    Set conn = New ADODB.Connection
    conn.Open "ClasswAccess"
End Sub
