// reordertransaction.h : header file
//

#if !defined __reordertransaction_h_
#define __reordertransaction_h_

class ReorderTransaction : public CObject
{
public:
	ReorderTransaction();
	~ReorderTransaction();

	void  PlaceOrder(CString sku, long quantity, CString storeID);
	void  UpdateOrder(CString sku, long quantity, CString storeID);
	void  SortOrders();
	char *GetSKU() { return m_sSKU; }
	long  GetQuantity() { return m_lQuantity; }
	char *GetStoreID() { return m_sStoreID; }

protected:
	char *		m_sSKU;
	long		m_lQuantity;
	char *		m_sStoreID;
};

#endif 
