/*
      ->-> Session File Information <-<-
       Created: Thu May 18 09:03:49 2000
          Name: C:\Classics\ClassicsRepo\Project\ClassicsSQL\Session\Create New Account.wch
          Type: PerformanceStudio-API
                (with Oracle OCI)
                (with Winsock1 Data)
*/

#include <VU.h>
{


{  /* Persistent variables needed by other scripts */
     persistent int ClassicsOracle;
                /* Introduced in this script */
                /* Terminated in Order.s [by default] */
     persistent int stmt_2_1;
                /* Introduced in this script */
                /* Terminated in Order.s [by default] */
     persistent int stmt_2_2;
                /* Introduced in this script */
                /* Terminated in Order.s [by default] */
     persistent int stmt_2_3;
                /* Introduced in this script */
                /* Terminated in Order.s [by default] */
}


{
     persistent int Min_tmout;
}

push Timeout_scale = 200; /* Set timeouts to 200% of maximum response time */
push Think_max = 2000;  /* Set maximum think time between commands */
push Think_def = "LR";
Min_tmout = 120000;       /* Set minimum Timeout_val to 2 minutes          */
push Timeout_val = Min_tmout;
push Think_cpu_threshold = 500;
ClassicsOracle = sqlconnect("ClassicsOracle", "oracle", LOOKUP_PWD, 
   "ClassicsOracle", "oracle7.3");

// { INFO SERVER "ClassicsOracle"="24.113.55.9"; } /*1*/

set Server_connection = ClassicsOracle;

sqlsetoption(ORA_AUTOCOMMIT, 1);

stmt_2_1=sqlalloc_statement();

push Think_avg = 0;             /* 0 < 500 (cpu processing delay) */

push Statement_id = stmt_2_1;
sqlprepare ["SQL1.001"] "alter session set nls_date_format = 'YYYY-MM-DD HH24:MI:SS'";

set Think_avg = 0;              /* 0 < 500 (cpu processing delay) */

sqlexec  ["SQL1.002"] stmt_2_1;

sqlfree_statement(stmt_2_1);

stmt_2_2=sqlalloc_statement();

set Think_avg = 0;              /* 0 < 500 (cpu processing delay) */

set Statement_id = stmt_2_2;
sqlprepare ["SQL1.003"] "SELECT DISTINCT COMPOSER FROM PRODUCTS";

set Think_avg = 10;             /* 10 < 500 (cpu processing delay) */

sqlexec  ["SQL1.004"] stmt_2_2;
set Think_avg = 0;              /* 0 < 500 (cpu processing delay) */

push CS_blocksize = 399;
sqlnrecv ["SQL1.005"] EXPECT_ROWS 5, ALL_ROWS;
#if 0  /*****  RESPONSE DATA BEGINS  *****/
Bach 
Beethoven 
Haydn 
#endif /*****  RESPONSE DATA ENDS    *****/


stmt_2_3=sqlalloc_statement();

set Think_avg = 10;             /* 10 < 500 (cpu processing delay) */

set Statement_id = stmt_2_3;
sqlprepare ["SQL1.006"] "SELECT CUSTOMERS.* FROM CUSTOMERS";

set Think_avg = 10;             /* 10 < 500 (cpu processing delay) */

sqlexec  ["SQL1.007"] stmt_2_3;
set Think_avg = 0;              /* 0 < 500 (cpu processing delay) */

set CS_blocksize = 189;
sqlnrecv ["SQL1.008"] EXPECT_ROWS 20, ALL_ROWS;
#if 0  /*****  RESPONSE DATA BEGINS  *****/
1 Fred Thomas 1 Main St Albany, NY 12345 518-555-1231 
2 Joe Langley 25 Western Blvd Troy, NY 12976 518-336-1299 
3 Blake Myers 860 S Los Angeles St 8th Fl Saint Petersburg, FL 12765 717-445-1
   542 
#endif /*****  RESPONSE DATA ENDS    *****/

sqlfree_statement(stmt_2_3);

}
