@REM Batch file to run RQA Generated Scenario Test
@REM Batch file will work for scenario tests generated off ClassicsEJB model and Rose's ClassicsCD_Java model
@REM Note: Batch files check for ClassicsEJB first, before ClassicsCD_Java
@REM Brian Bryson, BBryson@Rational.Com
@REM Vancouver, BC, Canada
@REM Created    : 15-May-2001, Rainier, v2001A
@REM Last Update: 01-Oct-01, Olympus Mons, v2002


@Echo Off
	@REM Determine if Scenario Test is available
	if exist ..\scenariotests\ClassicsEJB\LogicalView\com\rational\cdshop\ejb\LoginAndShop.java goto EXECUTE
	if exist ..\scenariotests\ClassicsCD_Java\LogicalView\com\rational\cdshop\ejb\LoginAndShop.java goto EXECUTE
	
	Echo The unit test LoginAndShop.java could not be found.  This test should have been created by RQA.  
	Echo Please see the demo script for steps involved to create this test.
	goto END
@Echo On

:EXECUTE
@Echo Off
	cls
	cd \Classics\RQA Tests\RQA Weblogic Assets\Source
	CALL RQA_ST_Compile.bat
	@Echo Off
	cd \Classics\RQA Tests\RQA Weblogic Assets\Source
	CALL RQA_ST_Execute.bat
	cd \Classics\RQA Tests\RQA Weblogic Assets
@Echo on

:END
@Echo Off
pause