package com.rational.cdshop.ejb;

import java.rmi.RemoteException;
import javax.ejb.EJBObject;

/**
 * This is an Enterprise Java Bean Remote Interface
 */
public interface Customer extends javax.ejb.EJBObject {
/**
 * Getter method for address
 * @return java.lang.String
 * @exception java.rmi.RemoteException The exception description.
 */
java.lang.String getAddress() throws java.rmi.RemoteException;
/**
 * Getter method for city
 * @return java.lang.String
 * @exception java.rmi.RemoteException The exception description.
 */
java.lang.String getCity() throws java.rmi.RemoteException;
/**
 * Getter method for credit_card_number
 * @return java.lang.String
 * @exception java.rmi.RemoteException The exception description.
 */
java.lang.String getCredit_card_number() throws java.rmi.RemoteException;
/**
 * Getter method for customer_id
 * @return java.lang.String
 * @exception java.rmi.RemoteException The exception description.
 */
java.lang.String getCustomer_id() throws java.rmi.RemoteException;
/**
 * Getter method for email
 * @return java.lang.String
 * @exception java.rmi.RemoteException The exception description.
 */
java.lang.String getEmail() throws java.rmi.RemoteException;
/**
 * Getter method for first_name
 * @return java.lang.String
 * @exception java.rmi.RemoteException The exception description.
 */
java.lang.String getFirst_name() throws java.rmi.RemoteException;
/**
 * Getter method for last_name
 * @return java.lang.String
 * @exception java.rmi.RemoteException The exception description.
 */
java.lang.String getLast_name() throws java.rmi.RemoteException;
/**
 * Getter method for password
 * @return java.lang.String
 * @exception java.rmi.RemoteException The exception description.
 */
java.lang.String getPassword() throws java.rmi.RemoteException;
/**
 * Getter method for state
 * @return java.lang.String
 * @exception java.rmi.RemoteException The exception description.
 */
java.lang.String getState() throws java.rmi.RemoteException;
/**
 * Getter method for zip
 * @return java.lang.String
 * @exception java.rmi.RemoteException The exception description.
 */
java.lang.String getZip() throws java.rmi.RemoteException;
/**
 * Setter method for address
 * @param newValue java.lang.String
 * @exception java.rmi.RemoteException The exception description.
 */
void setAddress(java.lang.String newValue) throws java.rmi.RemoteException;
/**
 * Setter method for city
 * @param newValue java.lang.String
 * @exception java.rmi.RemoteException The exception description.
 */
void setCity(java.lang.String newValue) throws java.rmi.RemoteException;
/**
 * Setter method for credit_card_number
 * @param newValue java.lang.String
 * @exception java.rmi.RemoteException The exception description.
 */
void setCredit_card_number(java.lang.String newValue) throws java.rmi.RemoteException;
/**
 * Setter method for customer_id
 * @param newValue java.lang.String
 * @exception java.rmi.RemoteException The exception description.
 */
void setCustomer_id(java.lang.String newValue) throws java.rmi.RemoteException;
/**
 * Setter method for email
 * @param newValue java.lang.String
 * @exception java.rmi.RemoteException The exception description.
 */
void setEmail(java.lang.String newValue) throws java.rmi.RemoteException;
/**
 * Setter method for first_name
 * @param newValue java.lang.String
 * @exception java.rmi.RemoteException The exception description.
 */
void setFirst_name(java.lang.String newValue) throws java.rmi.RemoteException;
/**
 * Setter method for last_name
 * @param newValue java.lang.String
 * @exception java.rmi.RemoteException The exception description.
 */
void setLast_name(java.lang.String newValue) throws java.rmi.RemoteException;
/**
 * Setter method for password
 * @param newValue java.lang.String
 * @exception java.rmi.RemoteException The exception description.
 */
void setPassword(java.lang.String newValue) throws java.rmi.RemoteException;
/**
 * Setter method for state
 * @param newValue java.lang.String
 * @exception java.rmi.RemoteException The exception description.
 */
void setState(java.lang.String newValue) throws java.rmi.RemoteException;
/**
 * Setter method for zip
 * @param newValue java.lang.String
 * @exception java.rmi.RemoteException The exception description.
 */
void setZip(java.lang.String newValue) throws java.rmi.RemoteException;
}
