
import java.text.*;

import java.net.*;
import java.io.*;
import java.util.*;
import java.applet.Applet;
import java.sql.*;

import javax.swing.table.AbstractTableModel;
import javax.swing.tree.*;
import javax.swing.event.*;
import javax.swing.*;


public class DataAccess
{

	static Connection dbConnection = null;
	
	public static boolean clearDatabase(boolean DeleteCustomers,
										boolean DeleteOrders)
	{

		//BB: 	24.AUG.2000
		//		Updated method to work off of ODBC instead of ASP
		//		This was done so that Applet could be tested with TestFactory
		//		This was impossible with previous version as previous
		// 		version used ASP pages to do all database access

		Connection dbConnection = getConnection();
		Statement stmt = null;
		int UpdateStatus;
		
		try 
		{
			String CustUpdate = new String ("DELETE * FROM CUSTOMERS WHERE CUSTID > 10;");
			if (DeleteCustomers) {
			    System.out.println ("+++++++ DeleteCustomers  +++++++");
			    System.out.println ("Query: " + CustUpdate);
				System.out.println ("++++++++++++++++++++++++++++++++");
				stmt = dbConnection.createStatement();
				UpdateStatus = stmt.executeUpdate(CustUpdate);
			
			}
			
			String OrderUpdate = new String ("DELETE * FROM ORDERS WHERE ORDERID > 10;");
			
			if (DeleteOrders) {
			    System.out.println ("+++++++   DeleteOrders   +++++++");
			    System.out.println ("Query: " + OrderUpdate);
				System.out.println ("++++++++++++++++++++++++++++++++");
				stmt = dbConnection.createStatement();
				UpdateStatus = stmt.executeUpdate(OrderUpdate);
			
			}
			
		}
	
		catch (Exception e) {
				JOptionPane.showMessageDialog(null,"An error has occurred, the likely cause is that your ODBC configuration is not correct.\nPlease go to the ODBC administration tool in Administrative Tools and ensure you have a ClassicsAccess DSN pointing to the correct MDB database file", "ODBC Error", JOptionPane.ERROR_MESSAGE);
				System.err.println ("Couldn't create statement");
				System.err.println ("Exception returned: " + e);

		}

		return true;
		
	//// System.out.println("clearing data");
	//try
		//{
		//String zapit = codebase+"zap.asp?ZAPCUSTOMERS=" + DeleteCustomers +
					   //"&ZAPORDERS=" + DeleteOrders ;
		//// System.out.println("\tclearDatabase command[" + zapit + "]") ;
		//URL url = new URL(zapit);
		//URLConnection connection = url.openConnection();
		//DataInputStream in = new DataInputStream(connection.getInputStream());

		//int count = 0;

		//String line = in.readLine();
		//// System.out.println("response from zap=" +line);
		//if (line.equals("true"))
			//{
			//return true;
			//}
		//else
			//{
			//return false;
			//}
		//}



	//catch (Exception e){
		//System.out.println(e.getClass().getName()+": "+e.getMessage());
		//return false;
	//}



	}
	public static boolean deleteCustomer(String custID)
	{

	try	{

		Connection dbConn = getConnection();
		Statement stmt = dbConn.createStatement();
		int result = stmt.executeUpdate("DELETE FROM CUSTOMERS WHERE CUSTID='" + custID + "'");

		// System.out.println(line);
		if (result != -1)
			{
			return true;
			}
		else
			{
			return false;
			}
		}
	catch(Exception e)
		{
		System.out.println("Exception in deleteCustomer");
		}
		return false;

	}
public static boolean deleteOrder(String orderID)
	{

	try {
		Connection dbConn = getConnection();
		Statement stmt = dbConn.createStatement();
		int result = stmt.executeUpdate("DELETE FROM ORDERS WHERE ORDERID=" + orderID);

		// System.out.println(line);
		if (result != -1)
			{	
	//			JOptionPane.showMessageDialog(null,"Order " + orderID + " was cancelled.", "Deleted Order", JOptionPane.PLAIN_MESSAGE);
				return true;
			}
		else
			{
		//		JOptionPane.showMessageDialog(null,"Order " + orderID + " was not cancelled.", "Error Deleting Order", JOptionPane.ERROR_MESSAGE);
				return false;
			}
		}
	
	catch(Exception e)
		{
			JOptionPane.showMessageDialog(null,"Order " + orderID + " was not cancelled.", "Error Deleting Order", JOptionPane.ERROR_MESSAGE);
			System.out.println("Exception in deleteOrder()");
			System.err.println ("Exception returned: " + e);
		}
		return false;

	}
	public static boolean deleteProduct(String prodID)
	{
	prodID = URLEncoder.encode(prodID);

	try	{
		
		Connection dbConn = getConnection();
		Statement stmt = dbConn.createStatement();
		int result = stmt.executeUpdate("DELETE FROM PRODUCTS WHERE PRODID='" + prodID + "'");

		// System.out.println(line);
		if (result != -1)
			{
			return true;
			}
		else
			{
			return false;
			}
		}

	catch(Exception e)
		{
		System.out.println("Exception in deleteProduct");
		}
		return false;

	}
	public static Vector FillRecordset()
	{

		Vector products = new Vector();
		Connection dbConn = getConnection();
		
		try {
			Statement stmt = dbConn.createStatement();
			ResultSet rs = stmt.executeQuery("SELECT * FROM PRODUCTS");

			while (rs.next()) {
				Product tempProduct = new Product();
				tempProduct.setComposer(rs.getString(Product.COMPOSER_NAME));
				tempProduct.setProdid(rs.getString(Product.PRODUCT_ID));
				tempProduct.setComposition(rs.getString(Product.COMPOSITION));
				tempProduct.setConductor(rs.getString(Product.CONDUCTOR));
				tempProduct.setPerformer(rs.getString(Product.PERFORMER));
				tempProduct.setDescription(rs.getString(Product.DESCRIPTION));
				tempProduct.setImageName(rs.getString(Product.IMAGE_NAME));
				tempProduct.setPrice(rs.getString(Product.PRICE));
				
				products.addElement(tempProduct);
			}
			
		} catch (Exception e) {
			System.out.println("Error getting PRODUCTS");
			System.out.println(e.getLocalizedMessage());
			e.printStackTrace();
		}
		
		
		
		return products;

	}
/**
 * Insert the method's description here.
 * Creation date: (09/08/2000 2:54:56 PM)
 * @return java.sql.Connection
 */
public static Connection getConnection() {

	if (dbConnection == null)
	{
		try 
		{
			// Instantiate Database Drivers
			Class.forName("sun.jdbc.odbc.JdbcOdbcDriver");
		}
		catch (Exception e) 
		{
			System.err.println ("Couldn't load driver");
			System.err.println ("Exception returned: " + e);
		}
		
		try 
		{
			String sourceURL = new String ("jdbc:odbc:ClassicsAccess");
			dbConnection = DriverManager.getConnection(sourceURL);
		}
		catch (Exception e) 
		{
			System.err.println ("Couldn't get database connection.");
			System.err.println ("Exception returned: " + e);
		}
	}

	return dbConnection;
}
public static Vector getCustomers()
{

	Vector custVector = new Vector();	

	try	{
		
		Connection dbConn = getConnection();
		Statement stmt = dbConn.createStatement();
		ResultSet rs = stmt.executeQuery("SELECT * FROM CUSTOMERS");
				
		while (rs.next()) {
			
			Customer cust = new Customer();
			cust.setCustID(rs.getString(Customer.CUSTOMER_ID));
			cust.setName(rs.getString(Customer.CUSTOMER_NAME));
			cust.setStreet(rs.getString(Customer.CUSTOMER_STREET));
			cust.setCSZ(rs.getString(Customer.CUSTOMER_CITY_STATE_ZIP));
			cust.setPhone(rs.getString(Customer.CUSTOMER_PHONE));

			custVector.addElement(cust);
		}
		
	} catch (Exception e) {
		System.out.println("Error getting CUSTOMERS");
		System.out.println(e.getLocalizedMessage());
		e.printStackTrace();
	}

	return custVector;
}
public static String[][] getOrders()
	{
	// System.out.println("DataAccess.getOrders");
	try	{
		Connection dbConn = getConnection();
		Statement stmt = dbConn.createStatement();
		ResultSet rs = stmt.executeQuery("SELECT * FROM ORDERS");
		

		String[][] orders = new String[500][10];

		int count = 0;
		String temp;
		while (rs.next() && (count<499))
		{
		for (int p=1;p<=10;p++)
			{
			temp = rs.getString(p);
			// System.out.println("temp= "+temp);
			orders[count][p-1]=temp;
			// System.out.println("p="+p+"count="+count);

			}


			count++;
			//// System.out.println("cust count= "+count);
		}

		String [][] finalOrders = new String[count] [10];
		int c=0;
		while (orders [c][0] !=null)
			{
			for (int h=0;h<10;h++)
				{
				finalOrders [c][h]=orders[c][h];
				}
			c++;
			}
		// System.out.println("really returning");
		return finalOrders;

		}



	catch (Exception e){
		// System.out.println(e.getClass().getName()+": "+e.getMessage());
		return null;
		}
	}
	public static String[][] getOrderStatus(String custID)
	{
	// System.out.println("In get order status");
	try	{

		Connection dbConn = getConnection();
		Statement stmt = dbConn.createStatement();
		ResultSet rs = stmt.executeQuery("SELECT ORDERS.ORDERID, ORDERS.ORDERDATE, ORDERS.STATUS, PRODUCTS.COMPOSER, PRODUCTS.COMPOSITION, ORDERS.QUANTITY, ORDERS.TOTAL FROM PRODUCTS RIGHT OUTER JOIN ORDERS  ON ( PRODUCTS.PRODID = ORDERS.PRODID ) WHERE ORDERS.CUSTID = " + custID);

		int count = 0;
		// System.out.println("read it...");
		// System.out.println("qoute unquote");
		// System.out.println("Line ="+line);
		try
		{
		// System.out.println("qoute unquote");
		String[][] orderStatus = new String[100][7];

		// System.out.println("about to die!"+line);
		String temp;
		// System.out.println("3");
		while (rs.next() && (count<99))
		{
		for (int p=0;p<7;p++)
			{
			temp = rs.getString(p+1);
			// System.out.println("temp= "+temp);
			orderStatus[count][p]=temp;
			// System.out.println("p="+p+"count="+count);

			}


			count++;
			// System.out.println("cust count= "+count);
		}

		// System.out.println("returning");
		String [][] finalOrderStatus = new String[count] [7];
		int c=0;
		while (orderStatus [c][0] !=null)
			{
			for (int h=0;h<7;h++)
				{
				finalOrderStatus [c][h]=orderStatus[c][h];
				}
			c++;
			}
		// System.out.println("really returning");
		return finalOrderStatus;
		}
		catch (Exception e)
			{
			String [][] empty = new String[0][0];
			return empty;
			}


		}



	catch (Exception e){
		System.out.println("x "+e.getClass().getName()+": "+e.getMessage());
		String [][] empty = new String[0][0];
		return empty;

	}

	}
public static String[][] getProducts()
	{
	// System.out.println("DataAcces.getProducts");
	try	{

		Connection dbConn = getConnection();
		Statement stmt = dbConn.createStatement();
		ResultSet rs = stmt.executeQuery("SELECT * FROM PRODUCTS");

		int count = 0;
		String[][] products = new String[50][8];

		String temp;
		while (rs.next() && (count<49))
		{
		for (int p=0;p<8;p++)
			{
			temp = rs.getString(p+1);
			// System.out.println("temp= "+temp);
			products[count][p]=temp;
			// System.out.println("p="+p+"count="+count);

			}


			count++;

		}

		String [][] finalProducts = new String[count] [8];
		int c=0;
		while (products [c][0] !=null)
			{
			for (int h=0;h<8;h++)
				{
				finalProducts [c][h]=products[c][h];
				}
			c++;
			}
		// System.out.println("really returning");
		return finalProducts;

		}



	catch (Exception e){
		System.out.println(e.getClass().getName()+": "+e.getMessage());
		return null;
	}



	}
public static String makeNewCustomer(String name,String street,String csz, String phone)
{
	String nextCustID = null;
	try	{

		Connection dbConn = getConnection();
		Statement stmt = dbConn.createStatement();
		ResultSet rs = stmt.executeQuery("SELECT Max(CUSTID) FROM CUSTOMERS");
		
		if (rs.next()) {
			nextCustID = Integer.toString(new Integer(rs.getString(1)).intValue() + 1);
		} else {
			nextCustID = "1";
		}

		PreparedStatement custStmt = dbConn.prepareStatement("INSERT INTO CUSTOMERS VALUES (?,?,?,?,?)");
		custStmt.setString(1, nextCustID);
		custStmt.setString(2, name);
		custStmt.setString(3, street);
		custStmt.setString(4, csz);
		custStmt.setString(5, phone);
		int status = custStmt.executeUpdate();

		if (status == -1) {
			System.out.println("ERROR Creating new Customer");
		}

		
	} catch(Exception e) {
		System.out.println("Exception in makeNewCustomer");
	}
	
	return nextCustID;
}

	
	
	
public static boolean placeOrder(String custID,String creditCard,String cardNumber,String expireDate, String prodID, String quantity, String total)
{
	
	//planted crash for build-b. if more than 50 cd's ordered then crash with error in external program
	int i = Integer.parseInt(quantity);
	if (i > 50)
	{
		Crash.nativeCrash();
	}
	//planted crash #2.  if 13 cd's ordered, generate an exception
	if (i == 13)
	{
		throw new ArithmeticException ();
	}
	// System.out.println("In Data Access place order");
	try	{

		Connection dbConn = getConnection();

		String orderID = "";
		Statement idStmt = dbConn.createStatement();
		ResultSet rs = idStmt.executeQuery("SELECT Max(ORDERID) AS HighestOrderID FROM ORDERS");
		if (rs.next()) {
			orderID = Integer.toString(rs.getInt("HighestOrderID") + 1);
		} 
		else {
			orderID = "1";
		}
		
		SimpleDateFormat dateFormat = new SimpleDateFormat("dd/MM/yy");
		java.util.Date currentDate = new java.util.Date();
		String formattedDate = dateFormat.format(currentDate);

		double price = 0.0;
		Statement getPriceStmt = dbConn.createStatement();
		ResultSet rsPrice = getPriceStmt.executeQuery("SELECT PRICE FROM PRODUCTS WHERE (PRODID = " + prodID + ")");
		if (rsPrice.next()) {
			price = rsPrice.getDouble(1);
		}
		double dblTotal = price * new Double(quantity).doubleValue();
			
		PreparedStatement stmt = dbConn.prepareStatement("INSERT INTO ORDERS VALUES (?,?,?,?,?,?,?,?,?,?)");		
		stmt.setString(1,orderID);
		stmt.setString(2,custID);
		stmt.setString(3,formattedDate);
		stmt.setString(4,creditCard);
		stmt.setString(5,cardNumber);
		stmt.setString(6,expireDate);
		stmt.setString(7,prodID);
		stmt.setString(8,quantity);
		stmt.setString(9,Double.toString(dblTotal));
		stmt.setString(10,"Order Initiated");
		//	System.out.println("Order Placed for: " + "\nTotal=" +  Double.toString(dblTotal) + "\nQuantity=" + quantity + "\nProductId=" +prodID +  "\nOrderId=" +  orderID +  "\nDate=" +   formattedDate);// +  creditCard + cardNumber + expireDate);

		int status = stmt.executeUpdate();
		
		if (status > 0)	{
			// System.out.println("It worked");
			return true;
		} else { 
			return false;
		}
	} catch (Exception e) {
		System.out.println(e.getClass().getName()+": "+e.getMessage());
		return false;
	}

}
}