Attribute VB_Name = "Module1"
Option Explicit

Sub Main()
    Dim bRetVal As Boolean 'the return value from LoadServiceDescription
    Dim sRetVal As String 'the return value from this function
    Dim m_oRopeProxy As Object

    'has the proxy been initialized?
    If (m_oRopeProxy Is Nothing) Then '0 = vbEmpty
        'nope, so create it
        Set m_oRopeProxy = CreateObject("ROPE.Proxy")

        'initialize the ROPE proxy with the SDL for the web service we are calling
        bRetVal = m_oRopeProxy.LoadServicesDescription(1, "http://localhost/PandaEx/webservices/ShipmentStatus.xml")
        
        If (bRetVal = False) Then
            Err.Raise (vbObjectError Or 512), "GetShimentStatus", "LoadServiceDescription failed"
        End If
    End If
        
    'make the remote call to get the status of the shipment
    
    sRetVal = m_oRopeProxy.GetShipmentStatus("1")
    
    MsgBox sRetVal
End Sub
