package unittests.junit.com.rational.cdshop.ejb;

// Date: 11/8/2001 9:38:56 AM   Author: admin

// This script tests boolean validateUser(java.lang.String user, java.lang.String password) method of com.rational.cdshop.ejb.Authentication.

import junit.framework.*;
import com.rational.cdshop.ejb.*;
import java.util.*;
import java.math.*;
import javax.naming.*;
import javax.rmi.PortableRemoteObject;

public class AuthenticationvalidateUser extends TestCase {



    private Authentication m_beanAuthentication;

    public AuthenticationvalidateUser(java.lang.String name) {
        super(name);
    }

    public static void main(java.lang.String[] args) {
        junit.textui.TestRunner.run(new AuthenticationvalidateUser("testMain"));
    }

    protected void setUp() throws Exception {
            // Contact the bean home through JNDI
            InitialContext initContext = getInitialContext();
            
            // TODO: the generated JNDI context name is defaulted to be the Remote Interface Name.
            // Please replace with appropriate JNDI context name for your needs, if you have deployed
            // the EJB in some other JNDI subcontexts.
            Object o = initContext.lookup("Authentication");
            AuthenticationHome home  = (AuthenticationHome) PortableRemoteObject.narrow(o,AuthenticationHome.class);

            // Declare arguments to the create method
            
            // TODO: Initialize arguments for the create method
            
            // Invoke the create method.
            m_beanAuthentication = home.create();
    }

    public void testMain() throws Exception {

            // TODO: Add Test Data Here for boolean validateUser(java.lang.String user, java.lang.String password) method
            
            // The user id: 	"FConway"
            // With password:	"California"
            // Is Valid data.  
            // Set expected to true for a fail, false for a pass - when stub IS NOT deployed
	    // Set expected to false for a fail, true for a pass - when stub IS deployed
	    // Note: true and false are case sensitive

            java.lang.String user = "FConway";
            java.lang.String password = "California";
            boolean expectedReturn = false;
            boolean actualReturn = false;
   
            // Test boolean validateUser(java.lang.String user, java.lang.String password) 
            actualReturn = m_beanAuthentication.validateUser(user, password);
            assertTrue(expectedReturn == actualReturn);
    }
    /**
    * Gets initialContext.
    * This method uses weblogic.jndi.WLInitialContextFactory to obtain an
    *  initial naming context.
    *
    * @return InitialContext The initial naming context.
    */

    private InitialContext getInitialContext() throws NamingException {
        InitialContext  initialContext  = null;
        Properties p                    = new Properties();
        String contextFactory           = "weblogic.jndi.WLInitialContextFactory";
        String url                      = "t3://localhost:7001";
        String portNumber               = null;
        String hostName                 = "localhost";

        // !!!  Add Port number and host name to use specific URL.
        // !!!

        // Use the port number and host name if provided by the user
        if (portNumber != null) {
            url = "t3://" + hostName + ":" + portNumber;
        } // endif
    
        // add the URL for the naming context
        p.put(javax.naming.Context.PROVIDER_URL, url);

        // add the context factory for the naming context
        p.put(javax.naming.Context.INITIAL_CONTEXT_FACTORY,
              contextFactory );

        try {
            // Get the initial context
            initialContext = new InitialContext(p);
        } catch (NamingException e) {
            throw(e);
        } // endtry

        return initialContext;
    }

   
}
