package com.rational.cdshop.ejb;

import java.rmi.RemoteException;
// import java.security.Identity;
import java.util.Properties;
import javax.ejb.*;
/**
 * This is an Entity Bean class with CMP fields
 */
public class Order_ItemBean implements EntityBean {
	public String description;
	private javax.ejb.EntityContext entityContext = null;
	public int order_id;
	public int order_item_dbid;
	public int quantity;
	final static long serialVersionUID = 3206093459760846163L;
	public double tax_rate;
	public double unit_cost;
	public String upc;
	private transient boolean       isDirty;   


/**
 * ejbActivate method comment
 * @exception java.rmi.RemoteException The exception description.
 */
public void ejbActivate() throws java.rmi.RemoteException {
}
/**
 * ejbCreate method for a CMP entity bean
 * @param argOrder_item_dbid int
 * @exception javax.ejb.CreateException The exception description.
 * @exception java.rmi.RemoteException The exception description.
 */
public com.rational.cdshop.ejb.Order_ItemKey ejbCreate(int argOrder_item_dbid) throws javax.ejb.CreateException, java.rmi.RemoteException {

	// All CMP fields should be initialized here.
	order_item_dbid = argOrder_item_dbid;
	return null;
}
/**
 * ejbLoad method comment
 * @exception java.rmi.RemoteException The exception description.
 */
public void ejbLoad() throws java.rmi.RemoteException {
}
/**
 * ejbPassivate method comment
 * @exception java.rmi.RemoteException The exception description.
 */
public void ejbPassivate() throws java.rmi.RemoteException {}
/**
 * ejbPostCreate method for a CMP entity bean
 * @param argOrder_item_dbid int
 * @exception java.rmi.RemoteException The exception description.
 */
public void ejbPostCreate(int argOrder_item_dbid) throws java.rmi.RemoteException {}
/**
 * ejbRemove method comment
 * @exception java.rmi.RemoteException The exception description.
 * @exception javax.ejb.RemoveException The exception description.
 */
public void ejbRemove() throws java.rmi.RemoteException, javax.ejb.RemoveException {
}
/**
 * ejbStore method comment
 * @exception java.rmi.RemoteException The exception description.
 */
public void ejbStore() throws java.rmi.RemoteException {}
/**
 * Getter method for description
 * @return java.lang.String
 */
public java.lang.String getDescription() {
	return description;
}
/**
 * getEntityContext method comment
 * @return javax.ejb.EntityContext
 */
public javax.ejb.EntityContext getEntityContext() {
	return entityContext;
}
/**
 * Getter method for order_id
 * @return int
 */
public int getOrder_id() {
	return order_id;
}
/**
 * Getter method for quantity
 * @return int
 */
public int getQuantity() {
	return quantity;
}
/**
 * Getter method for tax_rate
 * @return double
 */
public double getTax_rate() {
	return tax_rate;
}
/**
 * Getter method for unit_cost
 * @return double
 */
public double getUnit_cost() {
	return unit_cost;
}
/**
 * Getter method for upc
 * @return java.lang.String
 */
public java.lang.String getUpc() {
	return upc;
}
/**
 * Setter method for description
 * @param newValue java.lang.String
 */
public void setDescription(java.lang.String newValue) {
	this.description = newValue;
}
/**
 * setEntityContext method comment
 * @param ctx javax.ejb.EntityContext
 * @exception java.rmi.RemoteException The exception description.
 */
public void setEntityContext(javax.ejb.EntityContext ctx) throws java.rmi.RemoteException {
	entityContext = ctx;
}
/**
 * Setter method for order_id
 * @param newValue int
 */
public void setOrder_id(int newValue) {
	this.order_id = newValue;
}
/**
 * Setter method for quantity
 * @param newValue int
 */
public void setQuantity(int newValue) {
	this.quantity = newValue;
}
/**
 * Setter method for tax_rate
 * @param newValue double
 */
public void setTax_rate(double newValue) {
	this.tax_rate = newValue;
}
/**
 * Setter method for unit_cost
 * @param newValue double
 */
public void setUnit_cost(double newValue) {
	this.unit_cost = newValue;
}
/**
 * Setter method for upc
 * @param newValue java.lang.String
 */
public void setUpc(java.lang.String newValue) {
	this.upc = newValue;
}
/**
 * unsetEntityContext method comment
 * @exception java.rmi.RemoteException The exception description.
 */
public void unsetEntityContext() throws java.rmi.RemoteException {
	entityContext = null;
}

/**
 * Insert the method's description here.
 * Creation date: (05/04/01 13:32:25)
 */
public Order_ItemBean() {}


  /** 
   * Returns whether the EJBean has been modified or not.
   *
   * This method must be public for the container to be able to invoke it.
   * 
   * @return                  boolean isDirty
   */
  public boolean isModified() {
    return isDirty;
  }

  /**
   * Sets the EJBean's modified flag.
   * 
   * @param flag              Modified Flag
   */
  public void setModified(boolean flag) {
    isDirty = flag;
  }

}
