package com.rational.cdshop.ejb;

/**
 * This is an Enterprise Java Bean Remote Interface
 */
public interface ShoppingCart extends javax.ejb.EJBObject {


int getCount() throws java.rmi.RemoteException;
void incCount() throws java.rmi.RemoteException;
/**
 * 
 * @return double
 * @exception String The exception description.
 */
double calculateSubTotal() throws java.rmi.RemoteException;
/**
 * 
 * @return double
 * @exception String The exception description.
 */
double calculateTax() throws java.rmi.RemoteException;
/**
 * 
 * @return double
 * @exception String The exception description.
 */
double calculateTotal() throws java.rmi.RemoteException;
/**
 * 
 * @return int
 * @exception String The exception description.
 */
int countItems() throws java.rmi.RemoteException;
/**
 * 
 * @return void
 * @exception String The exception description.
 */
void emptyCart() throws java.rmi.RemoteException;

/**
 * 
 * @return boolean
 * @param upc java.lang.String
 * @exception String The exception description.
 */
boolean removeItem(java.lang.String upc) throws java.rmi.RemoteException;


/**
 * 
 * @return boolean
 * @param cd com.rational.cdshop.ejb.Cd
 * @exception String The exception description.
 */
boolean addItem(com.rational.cdshop.ejb.Cd cd) throws java.rmi.RemoteException;

/**
 * 
 * @return com.rational.cdshop.ejb.Cd []
 * @exception String The exception description.
 */
com.rational.cdshop.ejb.Cd [] listItems() throws java.rmi.RemoteException;

/**
 * 
 * @return boolean
 * @param orderId int
 * @param upc java.lang.String
 * @param quantity int
 * @exception String The exception description.
 */
boolean setQuantity(int orderId, java.lang.String upc, int quantity) throws java.rmi.RemoteException;

/**
 * 
 * @return boolean
 * @param upc java.lang.String
 * @exception String The exception description.
 */
boolean addItem(int orderId, java.lang.String upc) throws java.rmi.RemoteException;/**
 * 
 * @return boolean
 * @param upc java.lang.String
 * @exception String The exception description.
 */
boolean removeItem(int orderId, java.lang.String upc) throws java.rmi.RemoteException;}